<template>
  <div class="container mx-auto">
    <HotPromotion v-if="isAllowPromotionTab"/>
    <sport-game :index-blog-i="indexBlogI"></sport-game>
    <home-register-banner v-if="!homeRegister.IsHidden && !auth" />
    <hot-gamelist />
  </div>
  <div
    v-if="isAppDownloadEnabled"
    class="w-full mt-10 appdownload-container h-[408px]"
  >
    <img
      v-lazy="
        getAssetImage('assets/theme/common/appdownload/bg-app-download.png')
      "
      alt=""
      class="appdownload-bg-img"
    />
    <AppDownload></AppDownload>
  </div>
</template>
<script setup lang="ts">
import _ from "lodash";
import HotGamelist from "./components/HotGameList.client.vue";
import HomeRegisterBanner from "./components/HomeRegisterBanner.client.vue";
import HotPromotion from "./components/HotPromotion.client.vue";
import SportGame from "./components/SportGame.client.vue";
import DontMissCard from "./components/DontMissCard.client.vue";
import AppDownload from "./app-download.client.vue";
import { store } from "~~/store";
import {
  IThemePropertiesFromApi,
} from "~~/models/companyThemePropertiesRespone";

const themeProperties = computed(
  () => store.state.companyThemePropertiesFromApi.ThemeProperties
);
const indexBlogI = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "index_blog_1"
    )
);
const { isAppDownloadEnabled } = useHeaderComponent();
const { getAssetImage } = commonHelper;
const homeRegister = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "home_register"
    )
);
const promotionTab = computed(
    (): IThemePropertiesFromApi =>
      themePropertyHelper.getSingleThemeProperty(
        themeProperties.value,
        "promotion_tab"
      )
  );
const auth = computed(() => store.state.auth);
const isCashPlayer = computed(() => store.state.isCashPlayer);
const isAllowPromotionTab = computed(() =>
  auth.value
    ? !promotionTab.value.IsHidden && isCashPlayer.value
    : !promotionTab.value.IsHidden
);
</script>

<style scoped>
:deep(.blog-game) {
  gap: 1.5rem;
}
.dont-miss-it {
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.dont-miss-it__title {
  font-weight: 700;
  font-size: 24px;
  line-height: 28px;
  letter-spacing: 0.02em;
  color: var(--text2);
  margin-top: 2.5rem;
}
.dont-miss-it__list {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  padding: 0px;
  gap: 16px;
}
.appdownload-container {
  position: relative;
  background: var(--background5);
}
.appdownload-bg-img {
  height: 408px;
  position: absolute;
  right: 0;
  bottom: 0;
}
.app-download-container {
  position: relative;
  z-index: 1;
  height: 408px !important;
}
:deep(.app-download-container .image) {
  width: 400px !important;
  height: 360px !important;
}
:deep(.card-entry) {
  margin: 0;
}
</style>
